Skip to main content
PUT
/
api
/
document-stores
/
{id}
Update DocumentStores
curl --request PUT \
  --url https://platform.kodexa.ai/api/document-stores/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "deleteUserEmail": "<string>",
  "deleteUserId": "<string>",
  "deleted": true,
  "deletedDate": "2023-11-07T05:31:56Z",
  "deprecated": true,
  "eventAware": true,
  "extensionPackRef": "<string>",
  "id": "<string>",
  "metadata": {
    "deleteProtection": true,
    "metadata": {
      "documentProperties": "<unknown>",
      "indexed": true,
      "labelExpressions": "<unknown>",
      "type": "<string>"
    },
    "storePurpose": "<string>",
    "storeType": "<string>"
  },
  "name": "<string>",
  "organizationId": "<string>",
  "publicAccess": true,
  "slug": "<string>",
  "supportsScheduling": true,
  "template": true,
  "type": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "yamlSource": "<string>"
}
'
import requests

url = "https://platform.kodexa.ai/api/document-stores/{id}"

payload = {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": True,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": True,
"eventAware": True,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"deleteProtection": True,
"metadata": {
"documentProperties": "<unknown>",
"indexed": True,
"labelExpressions": "<unknown>",
"type": "<string>"
},
"storePurpose": "<string>",
"storeType": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": True,
"slug": "<string>",
"supportsScheduling": True,
"template": True,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
deleteUserEmail: '<string>',
deleteUserId: '<string>',
deleted: true,
deletedDate: '2023-11-07T05:31:56Z',
deprecated: true,
eventAware: true,
extensionPackRef: '<string>',
id: '<string>',
metadata: {
deleteProtection: true,
metadata: {
documentProperties: '<unknown>',
indexed: true,
labelExpressions: '<unknown>',
type: '<string>'
},
storePurpose: '<string>',
storeType: '<string>'
},
name: '<string>',
organizationId: '<string>',
publicAccess: true,
slug: '<string>',
supportsScheduling: true,
template: true,
type: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
uuid: '<string>',
yamlSource: '<string>'
})
};

fetch('https://platform.kodexa.ai/api/document-stores/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "deleteUserEmail": "<string>",
  "deleteUserId": "<string>",
  "deleted": true,
  "deletedDate": "2023-11-07T05:31:56Z",
  "deprecated": true,
  "eventAware": true,
  "extensionPackRef": "<string>",
  "id": "<string>",
  "metadata": {
    "deleteProtection": true,
    "metadata": {
      "documentProperties": "<unknown>",
      "indexed": true,
      "labelExpressions": "<unknown>",
      "type": "<string>"
    },
    "storePurpose": "<string>",
    "storeType": "<string>"
  },
  "name": "<string>",
  "organizationId": "<string>",
  "publicAccess": true,
  "slug": "<string>",
  "supportsScheduling": true,
  "template": true,
  "type": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "yamlSource": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json
changeSequence
integer<int32>
createdOn
string<date-time>
deleteUserEmail
string | null
deleteUserId
string | null
deleted
boolean
deletedDate
string<date-time> | null
deprecated
boolean
eventAware
boolean | null
extensionPackRef
string
id
string
metadata
object
name
string
organizationId
string
publicAccess
boolean
slug
string
supportsScheduling
boolean | null
template
boolean
type
string
updatedOn
string<date-time>
uuid
string
yamlSource
string | null

Response

Updated DocumentStores

changeSequence
integer<int32>
createdOn
string<date-time>
deleteUserEmail
string | null
deleteUserId
string | null
deleted
boolean
deletedDate
string<date-time> | null
deprecated
boolean
eventAware
boolean | null
extensionPackRef
string
id
string
metadata
object
name
string
organizationId
string
publicAccess
boolean
slug
string
supportsScheduling
boolean | null
template
boolean
type
string
updatedOn
string<date-time>
uuid
string
yamlSource
string | null